EC_COMPLETE_STRVEC_EXPAND(3)

NAME
ec_complete_strvec_expand - Return a new string vector based on the provided one using completion to expand non-ambiguous tokens to their full value.

SYNOPSIS
#include <ecoli/complete.h>

struct ec_strvec * ec_complete_strvec_expand(
    const struct ec_node     *node,    /* The grammar graph. */
    enum ec_comp_type         type,    /* Completion item type to consider. */
    const struct ec_strvec   *strvec   /* The input string vector. */
);

STRUCTURES

enum ec_comp_type {

      EC_COMP_UNKNOWN;

      EC_COMP_FULL;

      EC_COMP_PARTIAL;

      EC_COMP_ALL;
};

RETURN VALUE

A new string vector with non-ambiguous tokens expanded, or NULL on error (errno is set).

SEE ALSO

ec_comp_add_item(3), ec_comp_count(3), ec_comp_item_set_str(3), ec_complete(3), ec_comp_get_attrs(3), ec_comp_group_get_attrs(3), ec_comp_iter_next(3), ec_comp_item_get_node(3), ec_comp_iter_first(3), ec_comp_item_get_current(3), ec_comp_group_get_node(3), ec_comp_free(3), ec_comp_get_cur_pstate(3), ec_complete_unknown(3), ec_complete_strvec(3), ec_comp_item_get_grp(3), ec_comp_item_get_type(3), ec_comp_item_get_str(3), ec_comp_item_set_display(3), ec_complete_child(3), ec_comp(3), ec_comp_item_get_display(3), ec_comp_item_get_completion(3), ec_comp_group_get_pstate(3), ec_comp_dump(3), ec_comp_merge(3), ec_comp_item_set_completion(3), ec_comp_get_cur_group(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.